## org.apache.poi.hssf.record
Class FrameRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.FrameRecord

public class FrameRecord
extends Record

The frame record indicates whether there is a border around the displayed text of a chart. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `BORDER_TYPE_REGULAR`
`static short` `BORDER_TYPE_SHADOW`
`static short` `sid`

Constructor Summary
`FrameRecord()`
`FrameRecord(short id, short size, byte[] data)` Constructs a Frame record and sets its fields appropriately.
`FrameRecord(short id, short size, byte[] data, int offset)` Constructs a Frame record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getBorderType()` Get the border type field for the Frame record.
`short` `getOptions()` Get the options field for the Frame record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isAutoPosition()` excel calculates the position automatically
`boolean` `isAutoSize()` excel calculates the size automatically if true
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAutoPosition(boolean value)` Sets the auto position field value.
`void` `setAutoSize(boolean value)` Sets the auto size field value.
`void` `setBorderType(short field_1_borderType)` Set the border type field for the Frame record.
`void` `setOptions(short field_2_options)` Set the options field for the Frame record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### BORDER_TYPE_REGULAR

    public static final short BORDER_TYPE_REGULAR

See Also:
  Constant Field Values

### BORDER_TYPE_SHADOW

    public static final short BORDER_TYPE_SHADOW

See Also:
  Constant Field Values

Constructor Detail

### FrameRecord

    public FrameRecord()

### FrameRecord

    public FrameRecord(short id,
                       short size,
                       byte[] data)

  Constructs a Frame record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1032 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### FrameRecord

    public FrameRecord(short id,
                       short size,
                       byte[] data,
                       int offset)

  Constructs a Frame record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1032 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getBorderType

    public short getBorderType()

  Get the border type field for the Frame record.

  Returns:
    One of BORDER_TYPE_REGULAR BORDER_TYPE_SHADOW

### setBorderType

    public void setBorderType(short field_1_borderType)

  Set the border type field for the Frame record.

  Parameters:
    `field_1_borderType` - One of BORDER_TYPE_REGULAR BORDER_TYPE_SHADOW

### getOptions

    public short getOptions()

  Get the options field for the Frame record.

### setOptions

    public void setOptions(short field_2_options)

  Set the options field for the Frame record.

### setAutoSize

    public void setAutoSize(boolean value)

  Sets the auto size field value. excel calculates the size automatically if true

### isAutoSize

    public boolean isAutoSize()

  excel calculates the size automatically if true

  Returns:
    the auto size field value.

### setAutoPosition

    public void setAutoPosition(boolean value)

  Sets the auto position field value. excel calculates the position automatically

### isAutoPosition

    public boolean isAutoPosition()

  excel calculates the position automatically

  Returns:
    the auto position field value.

Copyright © 2003 Apache Software Foundation.